<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:activiti="http://activiti.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="http://www.activiti.org/test">
	<process id="DocumentApprovalHierarchy" name="Document Approval Hierarchy" isExecutable="true">
    <startEvent id="startEvent1" name="Start" activiti:initiator="${initiator.properties.userName}"  activiti:formKey="drwf:documentHierarchy">
    </startEvent>
    
    
    <userTask id="DocumentReviewTask" name="Document Review Task" activiti:assignee="Reviewer" activiti:formKey="drwf:documentReview">
    <extensionElements>
    <activiti:taskListener event="create" class="org.alfresco.repo.workflow.activiti.tasklistener.ScriptTaskListener">
          <activiti:field name="script">
            <activiti:string> 
            	
            	<!-- var documents1 = bpm_package.children; -->
            	var str2 = "You have received task for review purpose !"
				task.description = str2; 
            	<!-- execution.setVariable('authorizerFeedback',""); -->
            	
            </activiti:string>
          </activiti:field>
        </activiti:taskListener>
	        <activiti:taskListener event="complete" class="org.alfresco.repo.workflow.activiti.tasklistener.ScriptTaskListener">
	          <activiti:field name="script">
                  <activiti:string><![CDATA[
                 	var completedDate = new Date();
                 	var userName = "Approver"
					var assignee = VacationAssignee.getAssigneeValue(userName, completedDate);
					logger.log("assignee : "+assignee);
					execution.setVariable('approver',assignee);
					
				execution.setVariable('approverFeedback',"");
				execution.setVariable('authorizerFeedback',"");
				execution.setVariable('reviewerFeedback',task.getVariableLocal('drwf_documentReviewerFeedback'));	
                  ]]></activiti:string>
              </activiti:field>
            </activiti:taskListener>
    </extensionElements>
    </userTask>
    
    <userTask id="DocumentApprovalTask" name="Document Approval Task " activiti:assignee="${approver}" activiti:formKey="drwf:documentApprove">
    <extensionElements>
	        <activiti:taskListener event="create" class="org.alfresco.repo.workflow.activiti.tasklistener.ScriptTaskListener">
	          <activiti:field name="script">
                  <activiti:string><![CDATA[
                 	
            	var str2 = "You have received task for approval purpose !"
				task.description = str2; 
					execution.setVariable('drwf_documentReviewerCommentdocumentApprove',reviewerFeedback);
                  ]]></activiti:string>
              </activiti:field>
            </activiti:taskListener>
    
	        <activiti:taskListener event="complete" class="org.alfresco.repo.workflow.activiti.tasklistener.ScriptTaskListener">
	          <activiti:field name="script">
                  <activiti:string><![CDATA[
                 	var completedDate = new Date();
                 	var userName = "Authorizer"
					var assignee = VacationAssignee.getAssigneeValue(userName, completedDate);
					logger.log("assignee : "+assignee);
					execution.setVariable('Authorizer',assignee);
					execution.setVariable('approverFeedback',task.getVariableLocal('drwf_documentApproverFeedback'));
                  ]]></activiti:string>
              </activiti:field>
            </activiti:taskListener>
    </extensionElements>
    </userTask>
    
    <userTask id="DocumentAuthorizationTask" name="Document Authorization Task " activiti:assignee="${Authorizer}" activiti:formKey="drwf:documentAuthorization">
    <extensionElements>
     <activiti:taskListener event="create" class="org.alfresco.repo.workflow.activiti.tasklistener.ScriptTaskListener">
	          <activiti:field name="script">
                  <activiti:string><![CDATA[
                 	
            	var str2 = "You have received task for authorization purpose !"
				task.description = str2; 
				execution.setVariable('drwf_documentReviewerCommentdocumentAuthorization',reviewerFeedback);
            	execution.setVariable('drwf_documentApproverCommentdocumentAuthorization',approverFeedback);
                  ]]></activiti:string>
              </activiti:field>
            </activiti:taskListener>
	        <activiti:taskListener event="complete" class="org.alfresco.repo.workflow.activiti.tasklistener.ScriptTaskListener">
	          <activiti:field name="script">
                  <activiti:string>
					logger.log("Completed");
                  </activiti:string>
              </activiti:field>
            </activiti:taskListener>
    </extensionElements>
    </userTask>
    
    <sequenceFlow id="flow1" name="flow1" sourceRef="startEvent1" targetRef="DocumentReviewTask">
    
    </sequenceFlow>
    <sequenceFlow id="flow2" name="flow2" sourceRef="DocumentReviewTask" targetRef="DocumentApprovalTask"></sequenceFlow>
    <sequenceFlow id="flow3" name="flow3" sourceRef="DocumentApprovalTask" targetRef="DocumentAuthorizationTask"></sequenceFlow>
    <sequenceFlow id="flow4" name="flow4" sourceRef="DocumentAuthorizationTask" targetRef="end"></sequenceFlow>
    <endEvent id="end" name="end"></endEvent>
    </process>
</definitions>